local GemHelper_Language = GetLocale()
GEMHELPER_VERSION_TEXT		= GemHelper.Localize.String.GemHelper .. " " .. GetAddOnMetadata("GemHelper", "Version")

function GemHelper_LocalizeName(GemHelper_GemName, GemHelper_GemCutB, GemHelper_GemCutA)
	if GemHelper_Language == "frFR" then
		if GemHelper_GemCutA then
			return GemHelper_GemName .. " " .. GemHelper_GemCutB .. " " .. GemHelper_GemCutA
		else
			return GemHelper_GemName .. " " .. GemHelper_GemCutB
		end --if
	elseif GemHelper_Language == "zhCN" then
		if GemHelper_GemCutA then
			return GemHelper_GemCutA .. " " .. GemHelper_GemCutB .. " " .. GemHelper_GemName
		else
			return GemHelper_GemCutB .. " " .. GemHelper_GemName
		end --if
	elseif GemHelper_Language == "zhTW" then
		if GemHelper_GemCutA then
			return GemHelper_GemCutA .. " " .. GemHelper_GemCutB .. " " .. GemHelper_GemName
		else
			return GemHelper_GemCutB .. " " .. GemHelper_GemName
		end --if
	else
		if GemHelper_GemCutA then -- enUS, enGB, deDE
			return GemHelper_GemCutA .. " " .. GemHelper_GemCutB .. " " .. GemHelper_GemName
		else
			return GemHelper_GemCutB .. " " .. GemHelper_GemName
		end --if
	end --if
end --function

function GemHelper_LocalizeDescription(GemHelper_Source, GemHelper_Quantity, GemHelper_Material, GemHelper_Location)
	if GemHelper_Language == "frFR" then
		if GemHelper_Location then
			return GemHelper_Source .. ", " .. GemHelper_Quantity .. " " .. GemHelper_Material .. ", (" .. GemHelper_Location .. ")"
		else
			return GemHelper_Source .. ", " .. GemHelper_Quantity .. " " .. GemHelper_Material
		end --if
	elseif GemHelper_Language == "zhCN" then
		if GemHelper_Location then
			return GemHelper_Source .. ", " .. GemHelper_Quantity .. " " .. GemHelper_Material .. ", (" .. GemHelper_Location .. ")"
		else
			return GemHelper_Source .. ", " .. GemHelper_Quantity .. " " .. GemHelper_Material
		end --if
	elseif GemHelper_Language == "zhTW" then
		if GemHelper_Location then
			return GemHelper_Source .. ", " .. GemHelper_Quantity .. " " .. GemHelper_Material .. ", (" .. GemHelper_Location .. ")"
		else
			return GemHelper_Source .. ", " .. GemHelper_Quantity .. " " .. GemHelper_Material
		end --if
	else
		if GemHelper_Location then
			return GemHelper_Source .. ", " .. GemHelper_Quantity .. " " .. GemHelper_Material .. ", (" .. GemHelper_Location .. ")"
		else
			return GemHelper_Source .. ", " .. GemHelper_Quantity .. " " .. GemHelper_Material
		end --if
	end --if
end --function

GemHelper_GemLocaleData[22459] = {n = GemHelper_Localize.CutGem.VoidSphere,		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.EnchanterCrafted, "2", GemHelper_Localize.Item.VoidCrystal)}
GemHelper_GemLocaleData[22460] = {n = GemHelper_Localize.CutGem.PrismaticSphere,		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.EnchanterCrafted, "4", GemHelper_Localize.Item.LargePrismaticShard)}
GemHelper_GemLocaleData[23094] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.BloodGarnet, GemHelper_Localize.Cut.Brilliant),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.BloodGarnet)}
GemHelper_GemLocaleData[23095] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.BloodGarnet, GemHelper_Localize.Cut.Bold),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.BloodGarnet)}
GemHelper_GemLocaleData[23096] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.BloodGarnet, GemHelper_Localize.Cut.Brilliant),		d = "No longer crafted"}
GemHelper_GemLocaleData[23097] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.BloodGarnet, GemHelper_Localize.Cut.Delicate),		d = "No longer crafted"}
GemHelper_GemLocaleData[23098] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FlameSpessarite, GemHelper_Localize.Cut.Inscribed),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.FlameSpessarite)}
GemHelper_GemLocaleData[23099] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FlameSpessarite, GemHelper_Localize.Cut.Reckless),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.FlameSpessarite)}
GemHelper_GemLocaleData[23100] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowDraenite, GemHelper_Localize.Cut.Glinting),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowDraenite)}
GemHelper_GemLocaleData[23101] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FlameSpessarite, GemHelper_Localize.Cut.Potent),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.FlameSpessarite)}
GemHelper_GemLocaleData[23103] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.DeepPeridot, GemHelper_Localize.Cut.Radiant),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.DeepPeridot)}
GemHelper_GemLocaleData[23104] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.DeepPeridot, GemHelper_Localize.Cut.Jagged),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.DeepPeridot)}
GemHelper_GemLocaleData[23105] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.DeepPeridot, GemHelper_Localize.Cut.Regal),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.DeepPeridot)}
GemHelper_GemLocaleData[23106] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowDraenite, GemHelper_Localize.Cut.Purified),		d = "No longer crafted"}
GemHelper_GemLocaleData[23108] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowDraenite, GemHelper_Localize.Cut.Timeless),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowDraenite)}
GemHelper_GemLocaleData[23109] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowDraenite, GemHelper_Localize.Cut.Purified),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowDraenite)}
GemHelper_GemLocaleData[23110] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowDraenite, GemHelper_Localize.Cut.Shifting),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowDraenite)}
GemHelper_GemLocaleData[23111] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowDraenite, GemHelper_Localize.Cut.Sovereign),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowDraenite)}
GemHelper_GemLocaleData[23113] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.BloodGarnet, GemHelper_Localize.Cut.Brilliant),		d = "No longer crafted"}
GemHelper_GemLocaleData[23114] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.GoldenDraenite, GemHelper_Localize.Cut.Smooth),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.GoldenDraenite)}
GemHelper_GemLocaleData[23115] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.GoldenDraenite, GemHelper_Localize.Cut.Subtle), 	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.GoldenDraenite)}
GemHelper_GemLocaleData[23116] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.AzureMoonstone, GemHelper_Localize.Cut.Rigid),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.AzureMoonstone)}
GemHelper_GemLocaleData[23118] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.AzureMoonstone, GemHelper_Localize.Cut.Solid),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.AzureMoonstone)}
GemHelper_GemLocaleData[23119] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.AzureMoonstone, GemHelper_Localize.Cut.Sparkling),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.AzureMoonstone)}
GemHelper_GemLocaleData[23120] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.AzureMoonstone, GemHelper_Localize.Cut.Stormy),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.AzureMoonstone)}
GemHelper_GemLocaleData[23121] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.AzureMoonstone, GemHelper_Localize.Cut.Sparkling),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.AzureMoonstone)}
GemHelper_GemLocaleData[24027] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LivingRuby, GemHelper_Localize.Cut.Bold),			d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LivingRuby)}
GemHelper_GemLocaleData[24028] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LivingRuby, GemHelper_Localize.Cut.Delicate),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LivingRuby)}
GemHelper_GemLocaleData[24029] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LivingRuby, GemHelper_Localize.Cut.Brilliant),		d = "No longer available"}
GemHelper_GemLocaleData[24030] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LivingRuby, GemHelper_Localize.Cut.Brilliant),			d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LivingRuby)}
GemHelper_GemLocaleData[24031] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LivingRuby, GemHelper_Localize.Cut.Delicate),		d = "No longer available"}
GemHelper_GemLocaleData[24032] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Dawnstone, GemHelper_Localize.Cut.Subtle),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.Dawnstone)}
GemHelper_GemLocaleData[24033] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.StarOfElune, GemHelper_Localize.Cut.Solid),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.StarOfElune)}
GemHelper_GemLocaleData[24035] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.StarOfElune, GemHelper_Localize.Cut.Sparkling),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.StarOfElune)}
GemHelper_GemLocaleData[24036] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LivingRuby, GemHelper_Localize.Cut.Flashing),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LivingRuby)}
--GemHelper_GemLocaleData[24037] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.StarOfElune, GemHelper_Localize.Cut.Sparkling),		d = "No longer available"}
GemHelper_GemLocaleData[24039] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.StarOfElune, GemHelper_Localize.Cut.Stormy),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.StarOfElune)}
GemHelper_GemLocaleData[24047] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LivingRuby, GemHelper_Localize.Cut.Brilliant),		d = "No longer available"}
GemHelper_GemLocaleData[24048] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Dawnstone, GemHelper_Localize.Cut.Smooth),			d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.Dawnstone)}
GemHelper_GemLocaleData[24050] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Dawnstone, GemHelper_Localize.Cut.Smooth),		d = "No longer available"}
GemHelper_GemLocaleData[24051] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.StarOfElune, GemHelper_Localize.Cut.Rigid),			d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.StarOfElune)}
GemHelper_GemLocaleData[24052] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Dawnstone, GemHelper_Localize.Cut.Subtle),			d = "No longer available"}
GemHelper_GemLocaleData[24053] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Dawnstone, GemHelper_Localize.Cut.Mystic),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.Dawnstone)}
GemHelper_GemLocaleData[24054] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Nightseye, GemHelper_Localize.Cut.Sovereign),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.Nightseye)}
GemHelper_GemLocaleData[24055] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Nightseye, GemHelper_Localize.Cut.Shifting),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.Nightseye)}
GemHelper_GemLocaleData[24056] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Nightseye, GemHelper_Localize.Cut.Timeless),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.Nightseye)}
GemHelper_GemLocaleData[24057] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Nightseye, GemHelper_Localize.Cut.Purified),		d = "No longer available"}
GemHelper_GemLocaleData[24058] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.NobleTopaz, GemHelper_Localize.Cut.Inscribed),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.NobleTopaz)}
GemHelper_GemLocaleData[24059] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.NobleTopaz, GemHelper_Localize.Cut.Potent),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.NobleTopaz)}
GemHelper_GemLocaleData[24060] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.NobleTopaz, GemHelper_Localize.Cut.Reckless),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.NobleTopaz)}
GemHelper_GemLocaleData[24061] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Nightseye, GemHelper_Localize.Cut.Glinting),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.Nightseye)}
GemHelper_GemLocaleData[24062] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Talasite, GemHelper_Localize.Cut.Regal),		d = "No longer available"}
GemHelper_GemLocaleData[24065] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Nightseye, GemHelper_Localize.Cut.Purified),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.Nightseye)}
GemHelper_GemLocaleData[24066] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Talasite, GemHelper_Localize.Cut.Radiant),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.Talasite)}
GemHelper_GemLocaleData[24067] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Talasite, GemHelper_Localize.Cut.Jagged),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.Talasite)}
GemHelper_GemLocaleData[25890] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.SkyfireDiamond, GemHelper_Localize.Cut.Destructive),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.SkyfireDiamond)}
GemHelper_GemLocaleData[25893] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.SkyfireDiamond, GemHelper_Localize.Cut.Mystical),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.SkyfireDiamond)}
GemHelper_GemLocaleData[25894] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.SkyfireDiamond, GemHelper_Localize.Cut.Swift),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.SkyfireDiamond)}
GemHelper_GemLocaleData[25895] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.SkyfireDiamond, GemHelper_Localize.Cut.Enigmatic),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.SkyfireDiamond)}
GemHelper_GemLocaleData[25896] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.EarthstormDiamond, GemHelper_Localize.Cut.Powerful),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.EarthstormDiamond)}
GemHelper_GemLocaleData[25897] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.EarthstormDiamond, GemHelper_Localize.Cut.Bracing),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.EarthstormDiamond)}
GemHelper_GemLocaleData[25898] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.EarthstormDiamond, GemHelper_Localize.Cut.Tenacious),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.EarthstormDiamond)}
GemHelper_GemLocaleData[25899] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.EarthstormDiamond, GemHelper_Localize.Cut.Brutal),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.EarthstormDiamond)}
GemHelper_GemLocaleData[25901] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.EarthstormDiamond, GemHelper_Localize.Cut.Insightful),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.EarthstormDiamond)}
GemHelper_GemLocaleData[27679] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Dawnstone, GemHelper_Localize.Cut.Mystic),	d = "Vendor, 100 Halaa Battle Token (Halaa, Nagrand)"}
--GemHelper_GemLocaleData[27777] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.BloodGarnet, GemHelper_Localize.Cut.Brilliant), 	d = "Vendor, 10 Mark of Honor Hold / Thrallmar (Hellfire Peninsula)"}
--GemHelper_GemLocaleData[27785] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.DeepPeridot, GemHelper_Localize.Cut.Jagged), 	d = "Vendor, 10 Mark of Honor Hold / Thrallmar (Hellfire Peninsula)"}
--GemHelper_GemLocaleData[27786] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.DeepPeridot, GemHelper_Localize.Cut.Jagged), 	d = "Vendor, 10 Mark of Honor Hold / Thrallmar (Hellfire Peninsula)"}
GemHelper_GemLocaleData[27809] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.DeepPeridot, GemHelper_Localize.Cut.Jagged), 	d = "Vendor, 10 Mark of Honor Hold / Thrallmar (Hellfire Peninsula)"}
GemHelper_GemLocaleData[27812] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.BloodGarnet, GemHelper_Localize.Cut.Brilliant), 	d = "Vendor, 10 Mark of Honor Hold / Thrallmar (Hellfire Peninsula)"}
GemHelper_GemLocaleData[27820] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.DeepPeridot, GemHelper_Localize.Cut.Jagged), 	d = "Vendor, 10 Mark of Honor Hold / Thrallmar (Hellfire Peninsula)"}
GemHelper_GemLocaleData[28118] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.OrnateRuby, GemHelper_Localize.Cut.Brilliant),		d = "Vendor, 8100 Honor (Champion's Hall / Hall of Legends)"}
GemHelper_GemLocaleData[28119] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.OrnateDawnstone, GemHelper_Localize.Cut.Smooth),	d = "Vendor, 8100 Honor (Champion's Hall / Hall of Legends)"}
GemHelper_GemLocaleData[28120] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.OrnateDawnstone, GemHelper_Localize.Cut.Smooth),	d = "Vendor, 8100 Honor (Champion's Hall / Hall of Legends)"}
GemHelper_GemLocaleData[28123] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.OrnateTopaz, GemHelper_Localize.Cut.Potent),	d = "Vendor, 10000 Honor (Champion's Hall / Hall of Legends)"}
GemHelper_GemLocaleData[28290] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.GoldenDraenite, GemHelper_Localize.Cut.Smooth),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.GoldenDraenite)}
--GemHelper_GemLocaleData[28360] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.BloodGarnet, GemHelper_Localize.Cut.Delicate), 	d = "Vendor, 10 Mark of Honor Hold / Thrallmar (Hellfire Peninsula)"}
GemHelper_GemLocaleData[28361] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.BloodGarnet, GemHelper_Localize.Cut.Delicate), 	d = "Vendor, 10 Mark of Honor Hold / Thrallmar (Hellfire Peninsula)"}
GemHelper_GemLocaleData[28362] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.OrnateRuby, GemHelper_Localize.Cut.Delicate),		d = "Vendor, 8100 Honor (Champion's Hall / Hall of Legends)"}
GemHelper_GemLocaleData[28363] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.OrnateTopaz, GemHelper_Localize.Cut.Deadly),	d = "Vendor, 10000 Honor (Champion's Hall / Hall of Legends)"}
GemHelper_GemLocaleData[28458] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tourmaline, GemHelper_Localize.Cut.Bold), 		d = "Gem Vendor, 2g (Shattrath, Stormspire, Honor Hold, Thrallmar)"}
GemHelper_GemLocaleData[28459] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tourmaline, GemHelper_Localize.Cut.Delicate), 	d = "Gem Vendor, 2g (Shattrath, Stormspire, Honor Hold, Thrallmar)"}
GemHelper_GemLocaleData[28460] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tourmaline, GemHelper_Localize.Cut.Brilliant), 	d = "Gem Vendor, 2g (Shattrath, Stormspire, Honor Hold, Thrallmar)"}
GemHelper_GemLocaleData[28461] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tourmaline, GemHelper_Localize.Cut.Brilliant), 		d = "Gem Vendor, 2g (Shattrath, Stormspire, Honor Hold, Thrallmar)"}
GemHelper_GemLocaleData[28462] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tourmaline, GemHelper_Localize.Cut.Delicate), 	d = "Gem Vendor, 2g (Shattrath, Stormspire, Honor Hold, Thrallmar)"}
GemHelper_GemLocaleData[28463] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Zircon, GemHelper_Localize.Cut.Solid), 		d = "Gem Vendor, 2g (Shattrath, Stormspire, Honor Hold, Thrallmar)"}
GemHelper_GemLocaleData[28464] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Zircon, GemHelper_Localize.Cut.Sparkling), 		d = "Gem Vendor, 2g (Shattrath, Stormspire, Honor Hold, Thrallmar)"}
GemHelper_GemLocaleData[28465] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Zircon, GemHelper_Localize.Cut.Sparkling), 		d = "Gem Vendor, 2g (Shattrath, Stormspire, Honor Hold, Thrallmar)"}
GemHelper_GemLocaleData[28466] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tourmaline, GemHelper_Localize.Cut.Brilliant), 		d = "Gem Vendor, 2g (Shattrath, Stormspire, Honor Hold, Thrallmar)"}
GemHelper_GemLocaleData[28467] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Amber, GemHelper_Localize.Cut.Smooth), 		d = "Gem Vendor, 2g (Shattrath, Stormspire, Honor Hold, Thrallmar)"}
GemHelper_GemLocaleData[28468] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Zircon, GemHelper_Localize.Cut.Rigid), 		d = "Gem Vendor, 2g (Shattrath, Stormspire, Honor Hold, Thrallmar)"}
GemHelper_GemLocaleData[28469] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Amber, GemHelper_Localize.Cut.Smooth), 		d = "Gem Vendor, 2g (Shattrath, Stormspire, Honor Hold, Thrallmar)"}
GemHelper_GemLocaleData[28470] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Amber, GemHelper_Localize.Cut.Subtle), 		d = "Gem Vendor, 2g (Shattrath, Stormspire, Honor Hold, Thrallmar)"}
GemHelper_GemLocaleData[28556] = {n = "Swift Windfire Diamond",	d = "Vendor, 8 Spirit Shard (Allerian Stronghold / Stonebreaker Hold)"}
GemHelper_GemLocaleData[28557] = {n = "Quickend Starfire Diamond",	d = "Vendor, 8 Spirit Shard (Allerian Stronghold / Stonebreaker Hold)"}
GemHelper_GemLocaleData[28595] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.BloodGarnet, GemHelper_Localize.Cut.Delicate),		d = "Crafted, 1 Blood Garnet"}
GemHelper_GemLocaleData[30546] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Sovereign),	d = "The Shattered Halls - Heroic"}
GemHelper_GemLocaleData[30547] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FireOpal, GemHelper_Localize.Cut.Reckless),	d = "The Shattered Halls - Heroic"}
GemHelper_GemLocaleData[30548] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Chrysoprase, GemHelper_Localize.Cut.Jagged),	d = "The Shattered Halls - Heroic"}
GemHelper_GemLocaleData[30549] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Shifting),	d = "The Steamvault - Heroic"}
GemHelper_GemLocaleData[30550] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Chrysoprase, GemHelper_Localize.Cut.Misty),	d = "The Steamvault - Heroic"}
GemHelper_GemLocaleData[30551] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FireOpal, GemHelper_Localize.Cut.Reckless),		d = "The Steamvault - Heroic"}
GemHelper_GemLocaleData[30552] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Timeless),		d = "Sethekk Halls - Heroic"}
GemHelper_GemLocaleData[30553] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Glinting),	d = "Sethekk Halls - Heroic"}
GemHelper_GemLocaleData[30554] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FireOpal, GemHelper_Localize.Cut.Stalwart), 	d = "Sethekk Halls - Heroic"}
GemHelper_GemLocaleData[30555] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Timeless),		d = "The Black Morass - Heroic"}
GemHelper_GemLocaleData[30556] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Glinting),	d = "The Black Morass - Heroic"}
GemHelper_GemLocaleData[30558] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FireOpal, GemHelper_Localize.Cut.Stalwart),	d = "The Black Morass - Heroic"}
GemHelper_GemLocaleData[30559] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Etched), 		d = "Shadow Labyrinth - Heroic"}
GemHelper_GemLocaleData[30560] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Chrysoprase, GemHelper_Localize.Cut.Misty),	d = "Shadow Labyrinth - Heroic"}
GemHelper_GemLocaleData[30563] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Chrysoprase, GemHelper_Localize.Cut.Regal),		d = "Shadow Labyrinth - Heroic"}
GemHelper_GemLocaleData[30564] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Veiled),		d = "The Mechanar - Heroic Mode"}
GemHelper_GemLocaleData[30565] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Chrysoprase, GemHelper_Localize.Cut.Jagged),	d = "The Mechanar - Heroic"}
GemHelper_GemLocaleData[30566] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Defenders),	d = "The Mechanar - Heroic"}
GemHelper_GemLocaleData[30571] = {n = "Don Rodrigo's Heart", 	d = "Vendor, Limited Supply (1) (Halaa, Nagrand)"}
GemHelper_GemLocaleData[30572] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Purified),	d = "The Botanica - Heroic"}
GemHelper_GemLocaleData[30573] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Mysterious),	d = "The Botanica - Heroic"}
GemHelper_GemLocaleData[30574] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Shifting),		d = "The Botanica - Heroic"}
GemHelper_GemLocaleData[30575] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Chrysoprase, GemHelper_Localize.Cut.Nimble),		d = "The Arcatraz - Heroic"}
GemHelper_GemLocaleData[30581] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FireOpal, GemHelper_Localize.Cut.Willful),		d = "The Arcatraz - Heroic"}
GemHelper_GemLocaleData[30582] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FireOpal, GemHelper_Localize.Cut.Deadly),		d = "The Arcatraz - Heroic"}
GemHelper_GemLocaleData[30583] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Timeless), 	d = "Mana-Tombs - Heroic"}
GemHelper_GemLocaleData[30584] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FireOpal, GemHelper_Localize.Cut.Inscribed),	d = "Mana-Tombs - Heroic"}
GemHelper_GemLocaleData[30585] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FireOpal, GemHelper_Localize.Cut.Polished),	d = "Mana-Tombs - Heroic"}
GemHelper_GemLocaleData[30586] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Purified),	d = "Auchenai Crypts - Heroic"}
GemHelper_GemLocaleData[30587] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FireOpal, GemHelper_Localize.Cut.Champions), 	d = "Auchenai Crypts - Heroic"}
GemHelper_GemLocaleData[30588] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FireOpal, GemHelper_Localize.Cut.Potent),		d = "Auchenai Crypts - Heroic"}
GemHelper_GemLocaleData[30589] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Purified),	d = "Old Hillsbrad Foothills - Heroic"}
GemHelper_GemLocaleData[30590] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Chrysoprase, GemHelper_Localize.Cut.Regal),	d = "Old Hillsbrad Foothills - Heroic"}
GemHelper_GemLocaleData[30591] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FireOpal, GemHelper_Localize.Cut.Lucent),	d = "Old Hillsbrad Foothills - Heroic"}
GemHelper_GemLocaleData[30592] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Chrysoprase, GemHelper_Localize.Cut.Steady),	d = "Hellfire Ramparts - Heroic"}
GemHelper_GemLocaleData[30593] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FireOpal, GemHelper_Localize.Cut.Potent),	d = "Hellfire Ramparts - Heroic"}
GemHelper_GemLocaleData[30594] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Chrysoprase, GemHelper_Localize.Cut.Regal),	d = "Hellfire Ramparts - Heroic"}
GemHelper_GemLocaleData[30598] = {n = "Don Amancio's Heart", 	d = "Vendor, Limited Supply (1) (Halaa, Nagrand)"}
GemHelper_GemLocaleData[30600] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Purified), 	d = "The Blood Furnace - Heroic"}
GemHelper_GemLocaleData[30601] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Chrysoprase, GemHelper_Localize.Cut.Steady),		d = "The Blood Furnace - Heroic"}
GemHelper_GemLocaleData[30602] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Chrysoprase, GemHelper_Localize.Cut.Jagged),	d = "The Blood Furnace - Heroic"}
GemHelper_GemLocaleData[30603] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Tanzanite, GemHelper_Localize.Cut.Purified),		d = "The Slave Pens - Heroic"}
GemHelper_GemLocaleData[30604] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FireOpal, GemHelper_Localize.Cut.Resplendent),	d = "The Slave Pens - Heroic"}
GemHelper_GemLocaleData[30605] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Chrysoprase, GemHelper_Localize.Cut.Nimble), 	d = "The Slave Pens - Heroic"}
GemHelper_GemLocaleData[30606] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Chrysoprase, GemHelper_Localize.Cut.Lightning),	d = "The Underbog - Heroic"}
GemHelper_GemLocaleData[30607] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FireOpal, GemHelper_Localize.Cut.Splendid),	d = "The Underbog - Heroic"}
GemHelper_GemLocaleData[30608] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Chrysoprase, GemHelper_Localize.Cut.Radiant),	d = "The Underbog - Heroic"}

GemHelper_GemLocaleData[68780] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowspiritDiamond, GemHelper_Localize.Cut.Burning),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowspiritDiamond)}
GemHelper_GemLocaleData[71817] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.DeepholmIolite, GemHelper_Localize.Cut.Rigid),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.DeepholmIolite)}
GemHelper_GemLocaleData[71818] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.DeepholmIolite, GemHelper_Localize.Cut.Stormy),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.DeepholmIolite)}
GemHelper_GemLocaleData[71819] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.DeepholmIolite, GemHelper_Localize.Cut.Sparkling),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.DeepholmIolite)}
GemHelper_GemLocaleData[71820] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.DeepholmIolite, GemHelper_Localize.Cut.Solid),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.DeepholmIolite)}
GemHelper_GemLocaleData[71822] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Misty),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71823] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Piercing),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71824] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Lightning),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71825] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Senseis),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71826] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Infused),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71827] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Zen),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71828] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Balanced),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71829] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Vivid),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71830] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Turbid),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71831] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Radiant),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71832] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Shattered),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71833] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Energized),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71834] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Jagged),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71835] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Regal),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71836] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Forceful),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71837] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Nimble),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71838] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Puissant),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71839] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Steady),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ElvenPeridot)}
GemHelper_GemLocaleData[71840] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Deadly),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71841] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Crafty),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71842] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Potent),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71843] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Inscribed),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71844] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Polished),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71845] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Resolute),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71846] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Stalwart),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71847] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Champions),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71848] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Deft),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71849] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Wicked),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71850] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Reckless),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71851] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Fierce),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71852] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Adept),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71853] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Keen),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71854] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Artful),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71855] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Fine),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71856] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Skillful),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71857] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Lucent),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71858] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Tenuous),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71859] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Willful),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71860] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Splendid),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71861] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Resplendent),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.LavaCoral)}
GemHelper_GemLocaleData[71862] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowSpinel, GemHelper_Localize.Cut.Glinting),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowSpinel)}
GemHelper_GemLocaleData[71863] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowSpinel, GemHelper_Localize.Cut.Accurate),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowSpinel)}
GemHelper_GemLocaleData[71864] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowSpinel, GemHelper_Localize.Cut.Veiled),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowSpinel)}
GemHelper_GemLocaleData[71865] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowSpinel, GemHelper_Localize.Cut.Retaliating),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowSpinel)}
GemHelper_GemLocaleData[71866] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowSpinel, GemHelper_Localize.Cut.Etched),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowSpinel)}
GemHelper_GemLocaleData[71867] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowSpinel, GemHelper_Localize.Cut.Mysterious),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowSpinel)}
GemHelper_GemLocaleData[71868] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowSpinel, GemHelper_Localize.Cut.Purified),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowSpinel)}
GemHelper_GemLocaleData[71869] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowSpinel, GemHelper_Localize.Cut.Shifting),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowSpinel)}
GemHelper_GemLocaleData[71870] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowSpinel, GemHelper_Localize.Cut.Guardians),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowSpinel)}
GemHelper_GemLocaleData[71871] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowSpinel, GemHelper_Localize.Cut.Timeless),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowSpinel)}
GemHelper_GemLocaleData[71872] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowSpinel, GemHelper_Localize.Cut.Defenders),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowSpinel)}
GemHelper_GemLocaleData[71873] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowSpinel, GemHelper_Localize.Cut.Sovereign),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowSpinel)}
GemHelper_GemLocaleData[71874] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Lightstone, GemHelper_Localize.Cut.Smooth),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.Lightstone)}
GemHelper_GemLocaleData[71875] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Lightstone, GemHelper_Localize.Cut.Subtle),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.Lightstone)}
GemHelper_GemLocaleData[71876] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Lightstone, GemHelper_Localize.Cut.Quick),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.Lightstone)}
GemHelper_GemLocaleData[71877] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Lightstone, GemHelper_Localize.Cut.Fractured),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.Lightstone)}
GemHelper_GemLocaleData[71878] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Lightstone, GemHelper_Localize.Cut.Mystic),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.Lightstone)}
GemHelper_GemLocaleData[71879] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.QueensGarnet, GemHelper_Localize.Cut.Delicate),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.QueensGarnet)}
GemHelper_GemLocaleData[71880] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.QueensGarnet, GemHelper_Localize.Cut.Precise),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.QueensGarnet)}
GemHelper_GemLocaleData[71881] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.QueensGarnet, GemHelper_Localize.Cut.Brilliant),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.QueensGarnet)}
GemHelper_GemLocaleData[71882] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.QueensGarnet, GemHelper_Localize.Cut.Flashing),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.QueensGarnet)}
GemHelper_GemLocaleData[71883] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.QueensGarnet, GemHelper_Localize.Cut.Bold),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.QueensGarnet)}
GemHelper_GemLocaleData[77130] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Balanced),	d = "Unknown - Binds on pickup"}
GemHelper_GemLocaleData[77131] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Infused),	d = "Unknown - Binds on pickup"}
GemHelper_GemLocaleData[77132] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Lucent),	d = "Unknown - Binds on pickup"}
GemHelper_GemLocaleData[77133] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowSpinel, GemHelper_Localize.Cut.Mysterious),	d = "Unknown - Binds on pickup"}
GemHelper_GemLocaleData[77134] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.Lightstone, GemHelper_Localize.Cut.Mystic),	d = "Unknown - Binds on pickup"}
GemHelper_GemLocaleData[77136] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Resplendent),	d = "Unknown - Binds on pickup"}
GemHelper_GemLocaleData[77137] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Shattered),	d = "Unknown - Binds on pickup"}
GemHelper_GemLocaleData[77138] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Splendid),	d = "Unknown - Binds on pickup"}
GemHelper_GemLocaleData[77139] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Steady),	d = "Unknown - Binds on pickup"}
GemHelper_GemLocaleData[77141] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Tenuous),	d = "Unknown - Binds on pickup"}
GemHelper_GemLocaleData[77142] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Turbid),	d = "Unknown - Binds on pickup"}
GemHelper_GemLocaleData[77143] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Vivid),	d = "Unknown - Binds on pickup"}
GemHelper_GemLocaleData[77144] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.LavaCoral, GemHelper_Localize.Cut.Willful),	d = "Unknown - Binds on pickup"}
GemHelper_GemLocaleData[77154] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ElvenPeridot, GemHelper_Localize.Cut.Radiant),	d = "Unknown - Binds on pickup"}
